package org.example.azapi.constants;

public enum AzDataTypeIdBase64Binary implements AzDataTypeId {
	/** XACML DataType:  <b>http://www.w3.org/2001/XMLSchema#base64Binary</b> */
	AZ_DATATYPE_ID_BASE64BINARY("http://www.w3.org/2001/XMLSchema#base64Binary");
	private final String azDataTypeId;

	AzDataTypeIdBase64Binary(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}