package org.example.azapi.constants;

public enum AzDataTypeIdBoolean implements AzDataTypeId {
	/** XACML DataType:  <b>http://www.w3.org/2001/XMLSchema#boolean</b> */
	AZ_DATATYPE_ID_BOOLEAN("http://www.w3.org/2001/XMLSchema#boolean");
	private final String azDataTypeId;

	AzDataTypeIdBoolean(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}