package org.example.azapi.constants;

public enum AzDataTypeIdDateTime implements AzDataTypeId {
	/** XACML DataType:  <b>http://www.w3.org/2001/XMLSchema#dateTime</b> */
	AZ_DATATYPE_ID_DATETIME("http://www.w3.org/2001/XMLSchema#dateTime");
	private final String azDataTypeId;

	AzDataTypeIdDateTime(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}