package org.example.azapi.constants;

public enum AzDataTypeIdDouble implements AzDataTypeId {
	/** XACML DataType:  <b>http://www.w3.org/2001/XMLSchema#double</b> */
	AZ_DATATYPE_ID_DOUBLE("http://www.w3.org/2001/XMLSchema#double");
	private final String azDataTypeId;

	AzDataTypeIdDouble(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}