package org.example.azapi.constants;

public enum AzDataTypeIdString implements AzDataTypeId {
	/** XACML DataType:  <b>http://www.w3.org/2001/XMLSchema#string</b> */
	AZ_DATATYPE_ID_STRING("http://www.w3.org/2001/XMLSchema#string");
	private final String azDataTypeId;

	AzDataTypeIdString(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}