package org.example.azapi.constants;

public enum AzDataTypeIdXPathExpression implements AzDataTypeId {
	/** XACML DataType:  <b>urn:oasis:names:tc:xacml:3.0:data-type:xpathExpression</b> */
	AZ_DATATYPE_ID_XPATHEXPRESSION("urn:oasis:names:tc:xacml:3.0:data-type:xpathExpression");
	private final String azDataTypeId;

	AzDataTypeIdXPathExpression(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}