package org.example.azapi.test;

import java.util.Date;

import org.example.azapi.AzDataDateTime;

public class TestAzDataDateTime 
	implements AzDataDateTime{
	Date date = null;
	int actualTimeZone = 0;
	int intendedTimeZone = 0;
	int nanoSeconds = 0;
	public TestAzDataDateTime(
				Date date,
				int actualTimeZone,
				int intendedTimeZone,
				int nanoSeconds){
			this.date = date;
			this.actualTimeZone = actualTimeZone;
			this.intendedTimeZone = intendedTimeZone;
			this.nanoSeconds = nanoSeconds;
			System.out.println("    TestAzDataDateTime: constructor: " + 
					"\n\t date set to: " + this.date);
		}
	public TestAzDataDateTime(){
		this.date = new Date();
	}
	/**
	 * Set the Date. 
	 * If not provided, then current date and time will be used and
	 * other parameters ignored.
	 * @param date
	 */
	public void setDate(Date date){
		this.date = date;
	}
	
	
	/**
	 * Get the Date as is set in this object.
	 * 
	 */
	public Date getDate(){
		return date;
	}
	
	/**
	 * Set the actual time zone that was used for the
	 * creation of the Date object as the offset to GMT in minutes.
	 * 
	 */
	public void setActualTimeZone(int timeZoneMinutes){
		this.actualTimeZone = timeZoneMinutes;
	}
	
	/**
	 * Get the actual time zone offset in minutes
	 * 
	 */
	public int getActualTimeZone(){
		return actualTimeZone;
	}
	
	/**
	 * Set the intended or expected time zone based on
	 * location where Date object was set.
	 * 
	 */
	public void setIntendedTimeZone(int timeZoneMinutes){
		this.intendedTimeZone = timeZoneMinutes;
	}
	
	/**
	 * Get the intended time zone
	 */
	public int getIntendedTimeZone(){
		return intendedTimeZone;
	}
	
	/**
	 * Set nanosecond offset
	 * 
	 */
	public void setNanoSecondOffset(int nanoSeconds){
		this.nanoSeconds = nanoSeconds;
	}
	
	/**
	 * Get nanosecond offset
	 */
	public int getNanoSecondOffset(){
		return nanoSeconds;
	}
	public String toString(){
		String s = null;
		s = this.date.toString();
		return s;
	}

}

