package org.example.azapi.test;
import org.example.azapi.AzResourceActionAssociationId;
//import org.example.azapi.AzAction;
//import org.example.azapi.AzResource;

import org.example.azapi.AzEntity;
import org.example.azapi.constants.AzCategoryIdAction;
import org.example.azapi.constants.AzCategoryIdResource;

public class TestAzResourceActionAssociationId 
	implements AzResourceActionAssociationId {
	String azResourceId = null;
	String azActionId = null;
	//public TestAzResourceActionAssociationId(
	//		AzResource azResource, AzAction azAction){
	public TestAzResourceActionAssociationId(
			AzEntity<AzCategoryIdResource> azResource, 
			AzEntity<AzCategoryIdAction> azAction){
		this.azResourceId = azResource.getId();
		this.azActionId = azAction.getId();
	}
	public String getResourceId(){
		return azResourceId;
	}
	public String getActionId(){
		return azActionId;
	}
	public boolean equals(AzResourceActionAssociationId azResourceActionAssociationId){
		// test for nulls: if one of these is null, but not both return false
		if ((this.azResourceId == null || 
				azResourceActionAssociationId.getResourceId() == null) &&
			!(this.azResourceId == null && 
				azResourceActionAssociationId.getResourceId() == null) ) {
			System.out.println(
				"  TestAzResourceActionAssociationId.equals: " +
				"one null, but not other: \n\t this.azResourceId = " + 
				this.azResourceId +
				"\n\t azResourceActionAssociationId.getResourceId() = " +
				azResourceActionAssociationId.getResourceId());
			return false;
		}
		// if not both null, then since one not null from above,
		// then both not null and can test values; and return if no match
		if (!(this.azResourceId == null && 
				azResourceActionAssociationId.getResourceId() == null)) {
			
			if ( ! (azResourceActionAssociationId.getResourceId().equals(
					this.azResourceId) ) ) {
				System.out.println(
					"  TestAzResourceActionAssociationId.equals: " +
					"both not null, but not equal: \n\t this.azResourceId = " + 
					this.azResourceId +
					"\n\t azResourceActionAssociationId.getResourceId() = " +
					azResourceActionAssociationId.getResourceId());
				return false;
			}
		}
		// test for nulls: if one of these is null, but not both return false
		if ((this.azActionId == null || 
				azResourceActionAssociationId.getActionId() == null) &&
			!(this.azActionId == null && 
				azResourceActionAssociationId.getActionId() == null) ) {
			System.out.println(
				"  TestAzResourceActionAssociationId.equals: " +
				"one null, but not other: \n\t this.getActionId = " + 
				this.azActionId +
				"\n\t azResourceActionAssociationId.getActionId() = " +
				azResourceActionAssociationId.getActionId());
			return false;
		}
		// if not both null, then since one not null from above,
		// then both not null and can test values; and return if no match
		if (!(this.azActionId == null && 
				azResourceActionAssociationId.getActionId() == null)) {
			
			if ( ! (azResourceActionAssociationId.getActionId().equals(
					this.azActionId) ) ) {
				System.out.println(
					"  TestAzResourceActionAssociationId.equals: " +
					"both not null, but not equal: \n\t this.getActionId = " + 
					this.azActionId +
					"\n\t azResourceActionAssociationId.getActionId() = " +
					azResourceActionAssociationId.getActionId());
				return false;
			}
		}
		System.out.println(
				"  TestAzResourceActionAssociationId.equals: " +
				" should be equal: \n\t this.azResourceId = " + 
				this.azResourceId +
				"\n\t azResourceActionAssociationId.getResourceId() = " +
				azResourceActionAssociationId.getResourceId());
		System.out.println(
				"  TestAzResourceActionAssociationId.equals: " +
				"  should be equal: \n\t this.getActionId = " + 
				this.azActionId +
				"\n\t azResourceActionAssociationId.getActionId() = " +
				azResourceActionAssociationId.getActionId());
		return true;
	}
	public String toString(){
		return "\n\t TestAzResourceActionAssociationId.toString() = " +
			"\n\t\t this.azResourceId = " + this.azResourceId +
			"\n\t\t this.getActionId = " + this.azActionId;				
	}
}
