package org.example.azapi.test;
import org.example.azapi.*;

import java.util.Iterator;
import java.util.Set;
import java.util.HashSet;

public class TestAzResponseContext implements AzResponseContext {
	
	Set<AzResult> azResults;
	Iterator<AzResult> azResultIterator = null;
	
	TestAzResponseContext(){
		azResults = new HashSet<AzResult>();
		azResultIterator = azResults.iterator();
	}
	
	public void remove() {
		azResultIterator.remove();
	}
	
	public AzResult next() {
		return azResultIterator.next();
	}
	
	public boolean hasNext() {
		//azResultIterator = azResults.iterator();
		return azResultIterator.hasNext();
	}
	
	//public Iterator<AzResult> iterator(){
	//	return azResults.iterator();
	//}
	
	public AzResult getResult(AzResourceActionAssociation azResourceActionAssociation){
		AzResult azResult = null;
		Iterator<AzResult> it = azResults.iterator();
		while (it.hasNext()){
			azResult = next();
			if (azResourceActionAssociation.equals(
					azResult.getAzResourceActionAssociation())){
				System.out.println("TestAzResponseContext.getResults(azResourceActionAssociation): " +
						" found match, return result: " + azResourceActionAssociation);
				return azResult;
			}
		}
		return azResult;
	}
	public Set<AzResult> getResults() {
		return azResults;
	}
	public Set<AzResult> getResults(AzResourceActionAssociationId azResourceActionAssociationId){
		Set<AzResult> azResultSet = null;
		AzResult azResult = null;
		Iterator<AzResult> it = azResults.iterator();
		while (it.hasNext()){
			azResult = next();
			if (azResourceActionAssociationId.equals(
					azResult.getAzResourceActionAssociation())){
				System.out.println("TestAzResponseContext.getResults(azResourceActionAssociationId): " +
						" found match, adding to return result set: " + azResourceActionAssociationId);
				if (azResultSet == null){
					azResultSet = new HashSet<AzResult>();					
				}
				azResultSet.add(azResult);
			}
		}
		return azResultSet;
	}
	boolean addResult(AzResult azResult){
		boolean result = false;
		result = azResults.add(azResult);
		azResultIterator = azResults.iterator();
		return result;
	}

}
