package org.example.azapi;

/**
 * This is a helper class to make the resource-id and action-id 
 * readily available, if present, for reference.
 * @author Rich
 *
 */
public interface AzResourceActionAssociationId {
	
	/**
	 * Returns the value of the 
	 * @return string w resource-id, if present
	 */
	public String getResourceId();
	public String getActionId();
	public boolean equals(
			AzResourceActionAssociationId azResourceActionAssociationId);
}
