package org.example.azapi.constants;

/**
 * This enumeration defines the identifiers for the DataTypes that are used 
 * in the XACML specification:
 * <br>
 * <b>
 * http://docs.oasis-open.org/xacml/2.0/access_control-xacml-2.0-core-spec-os.pdf 
 * </b>
 * <br>
 * See Appendix A.2 ("Data-types") of the XACML 2.0 specification for 
 * the source of these DataType definitions and subsequent sections for
 * detail on the semantics of these data types.
 * 
 * @author Rich
 *
 */
public interface AzDataTypeId {

}
