package org.example.azapi.constants;

public enum AzDataTypeIdHexBinary implements AzDataTypeId {
	/** XACML DataType:  <b>http://www.w3.org/2001/XMLSchema#hexBinary</b> */
	AZ_DATATYPE_ID_HEXBINARY("http://www.w3.org/2001/XMLSchema#hexBinary");
	private final String azDataTypeId;

	AzDataTypeIdHexBinary(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}