package org.example.azapi.constants;

public enum AzDataTypeIdInteger implements AzDataTypeId {
	/** XACML DataType:  <b>http://www.w3.org/2001/XMLSchema#integer</b> */
	AZ_DATATYPE_ID_INTEGER("http://www.w3.org/2001/XMLSchema#integer");
	private final String azDataTypeId;

	AzDataTypeIdInteger(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}