package org.example.azapi.constants;

public enum AzDataTypeIdTime implements AzDataTypeId {
	/** XACML DataType:  <b>http://www.w3.org/2001/XMLSchema#time</b> */
	AZ_DATATYPE_ID_TIME("http://www.w3.org/2001/XMLSchema#time");
	private final String azDataTypeId;

	AzDataTypeIdTime(String azDataTypeId) {
		this.azDataTypeId = azDataTypeId;
	}

	@Override
	public String toString() {
		return azDataTypeId;
	}
}