package org.example.azapi.test;

//import org.example.azapi.AzAttributeOld;
//import org.example.azapi.AzAttributeValueOld;
//import org.example.azapi.constants.AzCategoryIdOld;
import org.example.azapi.AzAttribute;
import org.example.azapi.AzAttributeValue;
import org.example.azapi.constants.AzCategoryId;
import org.example.azapi.constants.AzDataTypeId;

public class TestAzAttribute<T extends Enum<T> & AzCategoryId,
							 U extends Enum<U> & AzDataTypeId,
							 V> 
								implements AzAttribute<T> {
	T azCategoryId;
	String issuer;
	String attributeId;
	AzAttributeValue<U,V> attributeValue;
	public TestAzAttribute(
			T azCategoryId,
			String issuer, String attributeId,
			AzAttributeValue<U,V> attributeValue){
		this.azCategoryId = azCategoryId;
		System.out.println("  TestAzAttribute: constructor: " +
				"\n\t getClass() = " + this.getClass() +
				"\n\t issuer = " + issuer +
				"\n\t attributeId = " + attributeId);
		this.attributeId = attributeId;
		this.issuer = issuer;
		this.attributeValue = attributeValue;
	}
	public  T getAzCategoryId(){
		return azCategoryId;
	}
	public void setAzCategoryId(T c){
		this.azCategoryId = c;
	}

	public String getAttributeId(){
		return attributeId;
	}
	public void setAttributeId(String attrId){
		this.attributeId = attrId;
	}

	public String getAttributeIssuer(){
		return issuer;
	}
	public void setAttributeIssuer(String issuer){
		this.issuer = issuer;
	}

	public AzAttributeValue<U,V> getAzAttributeValue(){
		return attributeValue;
	}
	public void setAzAttributeValue(AzAttributeValue<U,V> azVal){
		this.attributeValue = azVal;
	}

}