package org.example.azapi.test;

import org.example.azapi.AzAttributeValueDateTime;
import java.util.Date;
import org.example.azapi.constants.AzDataTypeIdDateTime;
import org.example.azapi.AzDataDateTime;

public class TestAzAttributeValueDateTime
	extends TestAzAttributeValue<AzDataTypeIdDateTime, AzDataDateTime> 
	implements AzAttributeValueDateTime {
	private AzDataDateTime date;
	public TestAzAttributeValueDateTime(){
		super(AzDataTypeIdDateTime.AZ_DATATYPE_ID_DATETIME, null);
		this.date = new TestAzDataDateTime();
		System.out.println(
			"    TestAzAttributeValueDateTime: " +
			" Date Created = " + date.getDate());
	}
	public TestAzAttributeValueDateTime(
			Date date, int nanoseconds, 
			int timeZone, int defaultedTimeZone){
		super(AzDataTypeIdDateTime.AZ_DATATYPE_ID_DATETIME, null);
		this.date = new TestAzDataDateTime(
				date,timeZone,defaultedTimeZone,nanoseconds);
	}
	public TestAzAttributeValueDateTime(AzDataDateTime date){
		this.date = date;
	}
	public void setValue(AzDataDateTime azVal){
		this.date = azVal;
	}
	public AzDataDateTime getValue(){
		System.out.println(
			"    TestAzAttributeValueDateTime.getValue: " +
				"\n\t Date = " + date.getDate());
		return date;
	}
	public String toXacmlString(){
		return date.toString();
	}
}
