package org.example.azapi.test;
import org.example.azapi.AzDataYearMonthDuration;

public class TestAzDataYearMonthDuration 
	implements AzDataYearMonthDuration{
	boolean isNegativeDuration = false;
	long years = 0;
	long months = 0;
	public TestAzDataYearMonthDuration(
			boolean isNegativeDuration,
			long years,
			long months){
		this.isNegativeDuration = isNegativeDuration;
		this.years = years;
		this.months = months;
	}
	/**
	 * Set boolean indicating whether duration is positive or
	 * negative
	 * @param b true means negative, false means positive
	 */
	public void setNegativeDuration(boolean b){
		this.isNegativeDuration = b;
	}
	
	/**
	 * Get boolean indicating whether duration is positive or
	 * negative
	 * @return a boolean true if negative, false if positive
	 */
	public boolean getNegativeDuration(){
		return isNegativeDuration;
	}

	/**
	 * Set long indicating number of days in duration
	 * @param intLong integer number of day in duration
	 */
	public void setYearsInDuration(long intLong){
		this.years = intLong;
	}
	
	/**
	 * Get long indicating number of years in duration
	 * @return a long w integer specifying number of years
	 */
	public long getYearsInDuration(){
		return years;
	}

	/**
	 * Set long indicating number of years in duration
	 * @param intLong integer number of years in duration
	 */
	public void setMonthsInDuration(long intLong){
		this.months = intLong;
	}
	
	/**
	 * Get long indicating number of months in duration
	 * @return a long w integer specifying number of months
	 */
	public long getMonthsInDuration(){
		return months;
	}
}
