package org.example.azapi.test;
//import java.util.AbstractSet;
//import java.util.Date;
import java.util.Date;
import java.util.Iterator;
import java.util.Set;
import java.net.URI;
import javax.security.auth.x500.X500Principal;
//import java.util.AbstractCollection;
import java.util.HashSet;

//import org.example.azapi.AzAttributeOld;
//import org.example.azapi.AzAttributeValueOld;
import org.example.azapi.AzAttributeValueDate;
import org.example.azapi.AzAttributeValueTime;
import org.example.azapi.AzAttributeValueDateTime;
import org.example.azapi.AzAttributeValueString;
import org.example.azapi.AzAttributeValueAnyURI;
import org.example.azapi.AzAttributeValueBoolean;
import org.example.azapi.AzAttributeValueInteger;
import org.example.azapi.AzAttributeValueDouble;
import org.example.azapi.AzAttributeValueHexBinary;
import org.example.azapi.AzAttributeValueBase64Binary;
import org.example.azapi.AzAttributeValueDayTimeDuration;
import org.example.azapi.AzAttributeValueYearMonthDuration;
import org.example.azapi.AzAttributeValueX500Name;
import org.example.azapi.AzAttributeValueRfc822Name;
import org.example.azapi.AzAttributeValueIpAddress;
import org.example.azapi.AzAttributeValueDnsName;
import org.example.azapi.AzDataDateTime;

import org.example.azapi.AzDataByteArray;
import org.example.azapi.AzDataDayTimeDuration;
import org.example.azapi.AzDataYearMonthDuration;

//import org.example.azapi.constants.AzCategoryIdOld;
//import org.example.azapi.AzEntityOld;

import org.example.azapi.AzEntity;
import org.example.azapi.AzAttribute;
import org.example.azapi.AzAttributeValue;

import org.example.azapi.constants.AzCategoryId;
import org.example.azapi.constants.AzDataTypeId;
import org.example.azapi.constants.AzDataTypeIdAnyURI;
import org.example.azapi.constants.AzDataTypeIdBase64Binary;
import org.example.azapi.constants.AzDataTypeIdBoolean;
import org.example.azapi.constants.AzDataTypeIdDate;
import org.example.azapi.constants.AzDataTypeIdDateTime;
import org.example.azapi.constants.AzDataTypeIdDayTimeDuration;
import org.example.azapi.constants.AzDataTypeIdDnsName;
import org.example.azapi.constants.AzDataTypeIdDouble;
import org.example.azapi.constants.AzDataTypeIdHexBinary;
import org.example.azapi.constants.AzDataTypeIdInteger;
import org.example.azapi.constants.AzDataTypeIdIpAddress;
import org.example.azapi.constants.AzDataTypeIdRfc822Name;
import org.example.azapi.constants.AzDataTypeIdString;
import org.example.azapi.constants.AzDataTypeIdTime;
import org.example.azapi.constants.AzDataTypeIdX500Name;
import org.example.azapi.constants.AzDataTypeIdYearMonthDuration;

import org.example.azapi.constants.AzCategoryIdObligation;
import org.example.azapi.constants.AzCategoryIdStatusDetail;

//public abstract class TestAzEntity extends AbstractSet<AzAttribute> implements AzEntity{
//public abstract class TestAzEntity<T extends Enum<T> & AzCategoryId> 
public class TestAzEntity<T extends Enum<T> & AzCategoryId> 
	implements AzEntity<T>{
	//CategoryId categoryId;
	String id;
	int idEntityCounter;
	T t;
	Set<AzAttribute<T>> attributes = null;
	// use mixed attribute for obligations and status detail
	Set<AzAttribute<?>> mixedAttributes = null;
	//public TestAzEntity(CategoryId categoryId){
	public TestAzEntity(T t, int idEntityCounter) {
		//super();
		//this.categoryId = categoryId;
		this.t = t;
		this.idEntityCounter = idEntityCounter;
		this.id = new Integer(idEntityCounter).toString();
		System.out.println(
			"TestAzEntity.TestAzEntity: constructor: id: " + this.id +
			"\n " + t.getClass() +
			"\n\t AzEntity constructor executed: " + 
			"\n\t AzCategoryId type = " + t +
			"\n\t TestAzEntity.idEntityCounter = " + id);
		if (t == AzCategoryIdObligation.AZ_CATEGORY_ID_OBLIGATION || 
			t == AzCategoryIdStatusDetail.AZ_CATEGORY_ID_STATUSDETAIL ) {
			mixedAttributes = new HashSet<AzAttribute<?>>();
		}
		else {
			attributes = new HashSet<AzAttribute<T>>();
		}
	}
	//abstract public <T extends Enum<T> & AzCategoryId> 
	public T getAzCategoryId()
	{
			//T azCategoryId = null;
			//return azCategoryId;
			return t;
	}
	
	public void setId(String id){
		this.id = id;
	}
	public String getId(){
		return id;
	}
	public int getIdEntityCounter(){
		return idEntityCounter;
	}
	public Set<AzAttribute<T>> getAzAttributeSet(){
		return attributes;
	}
	public Set<AzAttribute<?>> getAzAttributeMixedSet(){
		return mixedAttributes;
	}
	public <U extends Enum<U> & AzDataTypeId, V>
		AzAttribute<T> createAzAttribute(
			String issuer, String attributeId,  
			AzAttributeValue<U,V> attributeValue){
		System.out.println("  TestAzEntity.createAzAttribute: creating attribute: " +
				"\n\t issuer: " + issuer +
				"\n\t attributeId: " + attributeId);
		AzAttribute<T> testAzAttribute = new TestAzAttribute<T,U,V>(
				getAzCategoryId(),
				issuer, attributeId, attributeValue);
		System.out.println("    testAzAttribute issuer: " + 
				testAzAttribute.getAttributeIssuer());
		if (t == AzCategoryIdObligation.AZ_CATEGORY_ID_OBLIGATION || 
			t == AzCategoryIdStatusDetail.AZ_CATEGORY_ID_STATUSDETAIL ) {
			mixedAttributes.add(testAzAttribute);
		}
		else {
			attributes.add(testAzAttribute);
		}
		return testAzAttribute;
	}
	public	AzAttributeValueAnyURI createAzAttributeValue(
			AzDataTypeIdAnyURI u, URI v){
		AzAttributeValueAnyURI azAttrValAnyURI = 
			new TestAzAttributeValueAnyURI(v);
		return azAttrValAnyURI;
	}
	//public	AzAttributeValueAnyURI createAzAttributeValue(
	//		AzDataTypeIdAnyURI u, URI v);

	public AzAttributeValueBase64Binary createAzAttributeValue(
		AzDataTypeIdBase64Binary u, AzDataByteArray v){
		AzAttributeValueBase64Binary azAttrValBase64Binary = 
			new TestAzAttributeValueBase64Binary(v);
		return azAttrValBase64Binary;
	}
	
	public AzAttributeValueBoolean createAzAttributeValue(
		AzDataTypeIdBoolean u, Boolean v){
		AzAttributeValueBoolean azAttrValBoolean = 
			new TestAzAttributeValueBoolean(v);
		return azAttrValBoolean;
	}
	
	public AzAttributeValueDate createAzAttributeValue(
		AzDataTypeIdDate u, AzDataDateTime v){
		AzAttributeValueDate azAttrValDate = 
			new TestAzAttributeValueDate(v);
		return azAttrValDate;
	}
	
	public AzAttributeValueDateTime createAzAttributeValue(
		AzDataTypeIdDateTime u, AzDataDateTime v){
		AzAttributeValueDateTime azAttrValDateTime = 
			new TestAzAttributeValueDateTime(v);
		return azAttrValDateTime;
	}
	
	public AzAttributeValueDayTimeDuration createAzAttributeValue(
		AzDataTypeIdDayTimeDuration u, AzDataDayTimeDuration v){
		AzAttributeValueDayTimeDuration azAttrValDayTimeDuration = 
			new TestAzAttributeValueDayTimeDuration(v);
		return azAttrValDayTimeDuration;
	}
	
	public AzAttributeValueDnsName createAzAttributeValue(
		AzDataTypeIdDnsName u, String v){
		AzAttributeValueDnsName azAttrValDnsName = 
			new TestAzAttributeValueDnsName(v);
		return azAttrValDnsName;
	}
	
	public AzAttributeValueDouble createAzAttributeValue(
		AzDataTypeIdDouble u, Double v){
		AzAttributeValueDouble azAttrValDouble = 
			new TestAzAttributeValueDouble(v);
		return azAttrValDouble;
	}
	
	public AzAttributeValueHexBinary createAzAttributeValue(
		AzDataTypeIdHexBinary u, AzDataByteArray v){
		AzAttributeValueHexBinary azAttrValHexBinary = 
			new TestAzAttributeValueHexBinary(v);
		return azAttrValHexBinary;
	}
	
	public AzAttributeValueInteger createAzAttributeValue(
		AzDataTypeIdInteger u, Long v){
		AzAttributeValueInteger azAttrValInteger = 
			new TestAzAttributeValueInteger(v);
		return azAttrValInteger;
	}
	
	public AzAttributeValueIpAddress createAzAttributeValue(
		AzDataTypeIdIpAddress u, String v){
		AzAttributeValueIpAddress azAttrValIpAddress = 
			new TestAzAttributeValueIpAddress(v);
		return azAttrValIpAddress;
	}
	
	public AzAttributeValueRfc822Name createAzAttributeValue(
		AzDataTypeIdRfc822Name u, String v){
		AzAttributeValueRfc822Name azAttrValRfc822Name = 
			new TestAzAttributeValueRfc822Name(v);
		return azAttrValRfc822Name;
	}
	
	public AzAttributeValueString createAzAttributeValue(
			AzDataTypeIdString u, String v){
		AzAttributeValueString azAttrValString =
			new TestAzAttributeValueString(v);
		System.out.println("%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%");
		System.out.println("%%%%%%%%%%%%%   using typesafe method   %%%%%%%%%%");
		System.out.println("% AzAttributeValueString createAzAttributeValue( %");
		System.out.println("%%%%    AzDataTypeIdString u, String v);     %%%%%");
		System.out.println("%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%");
		return azAttrValString;
	}
	
	public AzAttributeValueTime createAzAttributeValue(
		AzDataTypeIdTime u, AzDataDateTime v){
		AzAttributeValueTime azAttrValTime = 
			new TestAzAttributeValueTime(v);
		return azAttrValTime;
	}
	
	public AzAttributeValueX500Name createAzAttributeValue(
		AzDataTypeIdX500Name u, X500Principal v){
		AzAttributeValueX500Name azAttrValX500Name = 
			new TestAzAttributeValueX500Name(v);
		return azAttrValX500Name;
	}
	
	public AzAttributeValueYearMonthDuration createAzAttributeValue(
		AzDataTypeIdYearMonthDuration u, AzDataYearMonthDuration v){
		AzAttributeValueYearMonthDuration azAttrValYearMonthDuration = 
			new TestAzAttributeValueYearMonthDuration(v);
		return azAttrValYearMonthDuration;
	}

	
	public <V extends Enum<V> & AzCategoryId>
	boolean addAzAttribute(AzAttribute<V> azAttribute){
		boolean result = false;
		System.out.println("  TestAzEntity.addAzAttribute: adding attribute: " +
				"\n\t azCategoryId: " + azAttribute.getAzCategoryId() +
				"\n\t issuer: " + azAttribute.getAttributeIssuer() +
				"\n\t attributeId: " + azAttribute.getAttributeId());
		V v = azAttribute.getAzCategoryId();
		if (v == AzCategoryIdObligation.AZ_CATEGORY_ID_OBLIGATION || 
			v == AzCategoryIdStatusDetail.AZ_CATEGORY_ID_STATUSDETAIL ) {
			mixedAttributes.add(azAttribute);
			result = true;
		}
		return result;
	}
	public <U extends Enum<U> & AzDataTypeId, V, W extends Enum<W> & AzCategoryId> 
	boolean addAzAttribute(
			W w,
			String issuer,
			String attributeId, 
			AzAttributeValue<U, V> attributeValue){
		boolean result = false;
		System.out.println("  TestAzEntity.addAzAttribute: adding attribute: " +
				"\n\t azCategoryId: " + w +
				"\n\t issuer: " + issuer +
				"\n\t attributeId: " + attributeId);
		if (w == AzCategoryIdObligation.AZ_CATEGORY_ID_OBLIGATION || 
			w == AzCategoryIdStatusDetail.AZ_CATEGORY_ID_STATUSDETAIL ) {
			createAzAttribute(issuer, attributeId, attributeValue);
			result = true;
		}
		return result;
	}
	
	
	public <U extends Enum<U> & AzDataTypeId, V>
		AzAttributeValue<U,V> createAzAttributeValue(U u, V v){
		System.out.println("&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&");
		System.out.println("&&&    using extraneous method       &&&");
		System.out.println("&&& createAzAttributeValue(U u, V v) &&&");
		System.out.println("&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&");
		return new TestAzAttributeValue<U,V>(u,v);
	}
	public AzAttribute<T> getAttributeByAttribId(String attributeId){
		Set<AzAttribute<T>> attrSet = getAzAttributeSetByAttribId(attributeId);
		AzAttribute<T> azAttr = null;
		for (AzAttribute<T> azNext: attrSet){
			azAttr = azNext;
		}
		return azAttr;
	}
	
	public Set<AzAttribute<T>> getAzAttributeSetByAttribId(String attributeId){
		return getAttributeByAttribId(attributeId, attributes);
	}
	public Set<AzAttribute<T>> getAttributeByAttribId(String attributeId,
			Set<? extends AzAttribute<T>> attributeSet){
		System.out.println(
			"\n  TestAzEntity.getAttributeByAttribId: entity id = " + id);
		Set<AzAttribute<T>> setMatchedAttrs = new HashSet<AzAttribute<T>>();
		AzAttribute<T> attr = null;
		AzAttribute<T> attrMatch = null;
		Iterator<? extends AzAttribute<T>> it = attributeSet.iterator();
		while (it.hasNext()){
			attr = it.next();
			System.out.println("    in loop w attrId = " + attr.getAttributeId());
			if (attr.getAttributeId() == attributeId)
			{
				System.out.println(
					"    TestAzEntity.getAttributeByAttribId: " +
					"\n\t Found attribute: " + attributeId +
					"\n\t  value: " + attr.getAzAttributeValue().getValue() +
					"\n\t  class: " + attr.getClass());
				attrMatch = attr;
				setMatchedAttrs.add(attrMatch);
			}
		}
		if (attrMatch == null)
			System.out.println(
					"    TestAzEntity.getAttributeByAttribId: " +
					"\n\t Did not find attribute: " + attributeId);
		//return attrMatch;
		return setMatchedAttrs;
	}

	/*
	public AzAttributeValueDateTime createAzAttributeValueDateTime(){
		return new TestAzAttributeValueDateTime();	
	}
	public AzAttributeValueDateTime createAzAttributeValueDateTime(
			Date date, int nanoseconds,
			int timeZone, int defaultedTimeZone){
		return new TestAzAttributeValueDateTime(
				date, nanoseconds, timeZone, defaultedTimeZone);	
	}
	
	public AzAttributeValueTime createAzAttributeValueTime(){
		return new TestAzAttributeValueTime();	
	}
	public AzAttributeValueTime createAzAttributeValueTime(
			Date date, int nanoseconds,
			int timeZone, int defaultedTimeZone){
		return new TestAzAttributeValueTime(
				date, nanoseconds, timeZone, defaultedTimeZone);	
	}
	
	public AzAttributeValueDate createAzAttributeValueDate(){
		return new TestAzAttributeValueDate();
	}
	public AzAttributeValueDate createAzAttributeValueDate(
			Date date, int timeZone, int defaultedTimeZone){
		return new TestAzAttributeValueDate(
				date, timeZone, defaultedTimeZone);
	}
	
	public AzAttributeValueString createAzAttributeValueString(String s){
		return new TestAzAttributeValueString(s);
	}
	
	public AzAttributeValueAnyURI createAzAttributeValueAnyURI(URI uri){
		return new TestAzAttributeValueAnyURI(uri);
	}
	
	public AzAttributeValueBoolean createAzAttributeValueBoolean(Boolean b){
		return new TestAzAttributeValueBoolean(b);
	}
	
	public AzAttributeValueInteger createAzAttributeValueInteger(Long i){
		return new TestAzAttributeValueInteger(i);
	}
	
	public AzAttributeValueDouble createAzAttributeValueDouble(Double d){
		return new TestAzAttributeValueDouble(d);
	}
	
	public AzAttributeValueHexBinary createAzAttributeValueHexBinary(AzDataByteArray azBA){
		return new TestAzAttributeValueHexBinary(azBA);
	}
	
	public AzAttributeValueBase64Binary createAzAttributeValueBase64Binary(AzDataByteArray azBA){
		return new TestAzAttributeValueBase64Binary(azBA);
	}
	
	public AzAttributeValueDayTimeDuration createAzAttributeValueDayTimeDuration(AzDataDayTimeDuration azDTD){
		return new TestAzAttributeValueDayTimeDuration(azDTD);
	}

	public AzAttributeValueYearMonthDuration createAzAttributeValueYearMonthDuration(AzDataYearMonthDuration azYMD){
		return new TestAzAttributeValueYearMonthDuration(azYMD);
	}
	
	public AzAttributeValueX500Name createAzAttributeValueX500Name(X500Principal x500Principal){
		return new TestAzAttributeValueX500Name(x500Principal);
	}
	
	public AzAttributeValueRfc822Name createAzAttributeValueRfc822Name(String rfc822Name){
		return new TestAzAttributeValueRfc822Name(rfc822Name);
	}
	
	public AzAttributeValueIpAddress createAzAttributeValueIpAddress(String ipAddress){
		return new TestAzAttributeValueIpAddress(ipAddress);
	}
	
	public AzAttributeValueDnsName createAzAttributeValueDnsName(String dnsName){
		return new TestAzAttributeValueDnsName(dnsName);
	}
	*/
	// Helper classes
	public AzDataDateTime createAzDataDateTime(
			Date date,
			int actualTimeZone,
			int intendedTimeZone,
			int nanoSeconds){
		System.out.println("    TestAzEntity.createAzDataDateTime: " +
				"\n\t creating using date = " + date);
		TestAzDataDateTime testAzDataDateTime = 
			new TestAzDataDateTime(date,actualTimeZone,intendedTimeZone,nanoSeconds);
		return testAzDataDateTime;
	}
	public AzDataDayTimeDuration createAzDataDayTimeDuration(
			boolean isNegativeDuration,
			long days,
			long hours,
			long minutes,
			long seconds,
			int nanoSeconds){
		TestAzDataDayTimeDuration testAzDataDayTimeDuration = null;
		return testAzDataDayTimeDuration;
	}
	public AzDataYearMonthDuration createAzDataYearMonthDuration(
			boolean isNegativeDuration,
			long years,
			long months){
		TestAzDataYearMonthDuration testAzDataYearMonthDuration = null;
		return testAzDataYearMonthDuration;
	}
	
	public AzDataByteArray createAzDataByteArray(
			byte[] byteArray){
		TestAzDataByteArray azDataByteArray = 
			new TestAzDataByteArray(byteArray);
		return azDataByteArray;
	}

	/*
	//public abstract void setAzAttribute(AzAttribute attributeTuple);
	public void setTestAzAttribute(AzAttribute attributeTuple)
	{
		attributes.add(attributeTuple);
		System.out.println("TestAzEntity.setAzAttribute: \n\t Added attribute: " + attributeTuple.getAttributeId());
		return;
	}
	public boolean add(AzAttribute attributeTuple){
		attributes.add(attributeTuple);
		System.out.println("TestAzEntity.add: \n\t Added attribute: " + attributeTuple.getAttributeId());
		return true;
	}
	/*
	public Iterator<AzAttribute> iterator(){
		return attributes.iterator();
	}
	public int size(){
		return attributes.size();
	}
	*/

}
