package org.example.azapi.test;
//import org.example.azapi.AzAction;
//import org.example.azapi.AzResource;
import org.example.azapi.AzResourceActionAssociation;
import org.example.azapi.AzResourceActionAssociationId;

import org.example.azapi.AzEntity;
import org.example.azapi.constants.AzCategoryIdAction;
import org.example.azapi.constants.AzCategoryIdResource;



public class TestAzResourceActionAssociation 
	implements AzResourceActionAssociation {
	int localId = 0;
	AzEntity<AzCategoryIdResource> azResource = null;
	AzEntity<AzCategoryIdAction> azAction = null;
	AzResourceActionAssociationId azResourceActionAssociationId = null;
	
	public TestAzResourceActionAssociation(
			AzEntity<AzCategoryIdResource> azResource, 
			AzEntity<AzCategoryIdAction> azAction, int localId){
		this.azResource = azResource;
		this.azAction = azAction;
		this.localId = localId;
		System.out.println("  TestAzResourceActionAssociation: constructor: " +
				"\n\t resource: " + azResource.getId() +
				"\n\t action:   " + azAction.getId() +
				"\n\t localId:  " + localId);
		this.azResourceActionAssociationId = 
			new TestAzResourceActionAssociationId(azResource, azAction);
	}
	public AzEntity<AzCategoryIdAction> getAzAction(){
		return azAction;
	}
	public AzEntity<AzCategoryIdResource> getAzResource(){
		return azResource;
	}
	public AzResourceActionAssociationId getAzResourceActionAssociationId(){
		return azResourceActionAssociationId;
	}
	public boolean equals(AzResourceActionAssociation azResourceActionAssociation){
		if (azResourceActionAssociation.getAzResource().equals(this.azResource) &&
			azResourceActionAssociation.getAzAction().equals(this.azAction))
			return true;
		else
			return false;
	}
	public int getCorrelationId(){
		return localId;
	}
}
